---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Organizations
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

A collection of Organizations:

```
/organizations?organizationType={organizationTypeId}
```

<a id="refsyn_N1002F_N10016_N10001"></a>
An individual Organization:

```
/organizations/{organizationId}?organizationType={organizationTypeId}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>organizationTypeId</td><td>Reference to an Organization Type. Example: Organization Type WID. Requests must provide an Organization Type.</td></tr><tr><td>organizationId</td><td>Reference to an Organization. Example: Organization WID.</td></tr></tbody></table><br/>

## <a id="section_N10061_N10016_N10001"></a>Description

The Organizations resource represents the organizations in Workday. You can only view the Organization information permitted by the security profile of the current user.

Organizations supports this method:

-   [GET Organizations](/wcp_docs/jas1400704341610.html#GET)


## <a id="GET"></a>GET Organizations

-   <b>Secured by:</b>

    Reports: Organization



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10016_N10001"></a>GET Organizations Examples

This GET request retrieves all the Organizations available to the current user where the Organization Type ID is bf2d8218d2c34cc5aca1148580a88374:

```
GET /organizations?organizationType=bf2d8218d2c34cc5aca1148580a88374
```

The response is a collection of Organizations, in JSON format (only 1 Organization in the response is shown):

```
{
   "total": 756,
   "data":    [
            {
         "descriptor": "Trans SWE Complex",
         "id": "46cd406ea858103b094a61f864b500b0"
       }
    },
    ...
  ]
}
```

This request retrieves information about the Organization whose Organization ID is ee8a05ace22e4a39a9ba6a2f168b713b and Organization Type ID is bf2d8218d2c34cc5aca1148580a88374.

```
GET /organizations/ee8a05ace22e4a39a9ba6a2f168b713b?organizationType=bf2d8218d2c34cc5aca1148580a88374
```

The response body:

```
{
   "descriptor": "FUND-16 HREG Fund for Named Professorship",
   "id": "ee8a05ace22e4a39a9ba6a2f168b713b"
}
```

This request retrieves information about the Supervisory Organization whose Organization ID is ab7a15abd31e4a21a9de6a3f168c215d and Organization Type ID is df3b25adc33e5a26a7db6a6f178a327b.

```
GET /organizations/ab7a15abd31e4a21a9de6a3f168c215d?organizationType=df3b25adc33e5a26a7db6a6f178a327b
```

Because a Supervisory Organization is returned, the response body contains the href for that Supervisory Organization:

```
{
   "descriptor": "Payroll Commitments Fund 3",
   "id": "ab7a15abd31e4a21a9de6a3f168c215d",
   "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/ab7a15abd31e4a21a9de6a3f168c215d"
}
```

A Supervisory Organization is a subtype of Organization, and contains an href.

